DKBSignDocs

API reference

GETRequires Bearer token

Get workflows transactions all

/api/workflows/{workflow}/transactions/all

Retrieve /api/workflows/{workflow}/transactions/all. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
workflow
Required
stringPath parameter workflow.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Transactions
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/workflows/workflow/transactions/all' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "data": [
    {
      "id": 44,
      "current_step_id": 7,
      "next_step_id": 8,
      "status": "in_progress"
    }
  ]
}